html, body {
    margin: 0;
    padding: 0;
    height: calc(100vh - env(safe-area-inset-bottom) - env(safe-area-inset-top));
    height: -webkit-fill-available;
    min-height: calc(100vh - env(safe-area-inset-bottom) - env(safe-area-inset-top));
    min-height: -webkit-fill-available;
    width: calc(100vw - env(safe-area-inset-left) - env(safe-area-inset-right));
    width: -webkit-fill-available;
    min-width: calc(100vw - env(safe-area-inset-left) - env(safe-area-inset-right));
    min-width: -webkit-fill-available;
}
@media screen and (orientation: landscape) and (max-width: 600px) {
    body {
        height: calc(100vw - env(safe-area-inset-left) - env(safe-area-inset-right));
        height: -webkit-fill-available;
        min-height: calc(100vw - env(safe-area-inset-left) - env(safe-area-inset-right));
        min-height: -webkit-fill-available;
        width: calc(100vh - env(safe-area-inset-bottom) - env(safe-area-inset-top));
        width: -webkit-fill-available;
        min-width: calc(100vh - env(safe-area-inset-bottom) - env(safe-area-inset-top));
        min-width: -webkit-fill-available;
        overflow-y: scroll;
    }
}
.app {
	padding: 1px;
}
#logo {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 200px;
    height: 200px;
    animation: spin 2s linear infinite;
}
#loading {
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
@keyframes spin {
    0% {
        transform: translate(-50%, -50%) rotate(0deg);
    }
    100% {
        transform: translate(-50%, -50%) rotate(360deg);
    }
}
body.theme-dark {
    background-color: #1d1f23;
}
body.theme-dark #logo {
    filter: invert(1);
}
body.theme-light {
    background-color: #fcfafe;
}
body.theme-light #logo {
    filter: invert(0);
}
*:focus {
    outline: none;
}
.noselect {
	-webkit-touch-callout: none;
	  -webkit-user-select: none;
	   -khtml-user-select: none;
		 -moz-user-select: none;
		  -ms-user-select: none;
			  user-select: none;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}
* {
  scrollbar-width: thin;
  scrollbar-color: #888 transparent;
}
*::-webkit-scrollbar-track {
background: transparent;
}
*::-webkit-scrollbar-thumb {
background-color: #888;
border-radius: 1em;
border: 3px solid transparent;
}
*::-webkit-scrollbar {
width: 0.2em;
}
*::-webkit-scrollbar-thumb:hover {
background-color: #555;
}
*::-webkit-scrollbar-thumb:active {
background-color: #333;
}
*::-webkit-scrollbar-thumb:window-inactive {
background-color: #111;
}
*::-webkit-scrollbar-corner {
background-color: transparent;
}
